use bevy::prelude::*;

use bevy_rapier2d::prelude::*;

use crate::{AppState, METER};

use super::set::IngameSet;
#[derive(Component)]
struct Player {}

pub(super) fn player_plugin(app: &mut App) {
    app.add_systems(OnEnter(AppState::InGame), add_player.in_set(IngameSet));
}

pub fn add_player(mut commands: Commands) {
    commands
        .spawn(Player {})
        .insert((
            RigidBody::Dynamic,
            Collider::cuboid(0.4 * METER, 0.9 * METER),
            Velocity::default(),
        ))
        .insert(ActiveEvents::COLLISION_EVENTS);
}
